[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: GNU Parted / library versioning patch ...

From: Andrew Clausen
Subject: Re: GNU Parted / library versioning patch ...
Date: Wed, 16 May 2001 09:31:29 +1000

Timshel Knoll wrote:
> Anyway, it's against 1.4.11, the only problem with it is that it will
> update libparted's soname _again_, to 9. Also, the -release is kind of
> required since the soname versioning will start from 0 again on a new
> minor release (ie. 'micro' = 0). If you really didn't want to implement
> using -release, I'm sure there are ways that it could be worked around.
> You'll need to do a 'autoconf && automake' after applying it ... Debian
> doesn't have autoconf 2.49 yet ... and I couldn't bothered installing it
> without being able to apt-get :-)

I'll have a good look at this later :-(

One question: doesn't -release break binary compatibility?
(unless you are clever about picking your numbers...)

Andrew Clausen

reply via email to

[Prev in Thread] Current Thread [Next in Thread]